Microsoft Azure SDK Compatibility Table

  • Description

    If a wrong version of Microsoft Azure SDK for .NET is installed, the following error will be shown while deploying a Sitecore solution using the Sitecore Azure module. This happens even if the installed Microsoft Azure SDK version is newer than the one that the Sitecore Azure module requires.

    Error

    An example of the exception and its stack trace is:

    ERROR Sitecore.Azure SCOBUDeveWusCd01Role01SSc2c0Staging [S] Execute package failed 
    Exception: System.ApplicationException 
    Message: SCOBUDeveWusCd01Role01SSc2c0Staging [S] Execute package failed 
     
    Nested Exception 
     
    Exception: System.ApplicationException 
    Message: Execute package is failed 
     
    Nested Exception 
     
    Exception: System.ApplicationException 
    Message: Can't find sdk path Source: Microsoft.ServiceHosting.Tools.MSBuildTasks 
      at Microsoft.ServiceHosting.Tools.Internal.SDKPaths.GetSDKPath() 
      at Microsoft.ServiceHosting.Tools.Internal.SDKPaths.GetSDKBinSubdirectory(String subDir) 
      at Microsoft.ServiceHosting.Tools.MSBuildTasks.ImportResolver.ConfigureImportResolver(ITaskItem[] importedModules) 
      at Microsoft.ServiceHosting.Tools.MSBuildTasks.CSPack.Execute() 
      at Sitecore.Azure.Managers.Pipelines.CreateAzurePackage.Azure.ExecutePackage.Action(RolePipelineArgsBase arguments) 
      at Sitecore.Azure.Managers.Pipelines.BasePipeline.RolePipelineProcessor.Process(RolePipelineArgsBase args)
  • The Sitecore Azure module requires Microsoft Azure SDK to be installed on the same machine where the Sitecore CMS instance is hosted. Microsoft Azure SDK for .NET supports side-by-side installation starting from version 1.7. All installed versions are typically stored at the following file path:

    C:\Program Files\Microsoft SDKs\Windows Azure\.NET SDK\

    Each version of the Sitecore Azure module is built for a particular Microsoft Azure SDK version. Therefore, a specific Microsoft Azure SDK version must be installed for a specific Sitecore Azure module version.

    This table presents Sitecore Azure module compatibility with different versions of Microsoft Azure SDK:


    Microsoft Azure SDK 
    1.6 1.7 1.8 2.0 2.2 2.4 2.5.1 2.7.1 2.9.1 2.9.6 
    Sitecore Azure 1.1 - - - - - - - -
    Sitecore Azure 2.0 - - - - - - - -
    Sitecore Azure 3.0 - - - - - - - -
    Sitecore Azure 3.1 - - - - - - - -
    Sitecore Azure 7.2 - - - - - - - - [5]
    Sitecore Azure 7.5 - - - - - - - ✓ [2]
     -
    Sitecore Azure 8.0 - - - - - - [1] [3]  -
    Sitecore Azure 8.1 - - - - - - - [4]

    Legend: “-” – not supported; “✓” – supported.

    Note: For the support and retirement information for the Azure SDK for .NET, see the MSDN website: https://msdn.microsoft.com/en-us/library/azure/dn479282.aspx

    • [1] Sitecore Azure 8.0 rev. 150522 Hotfix 68545-1 (8.0 Update-1) must be installed. See here for more details.
    • [2] Sitecore Azure 7.5 rev. 161110 (7.5 Update-1) must be installed. See here for more details.
    • [3] Sitecore Azure 8.0 rev. 161110 (8.0 Update-2) must be installed. See here for more details.
    • [4] Sitecore Azure 8.1 rev. 161109 (8.1 Update-2) must be installed. See here for more details.
    • [5] Sitecore Azure 7.2 rev. 161121 must be installed. See here for more details.

Applies to:

Azure 1+

May 16, 2014
March 29, 2017

Keywords: 

  • Azure